pbuf_custom Struct Reference

`#include <pbuf.h>`

## Data Fields

struct pbuf | pbuf
pbuf_free_custom_fn | custom_free_function

## Detailed Description

A custom pbuf: like a pbuf, but following a function pointer to free it.

## Field Documentation

## custom_free_function

pbuf_free_custom_fn pbuf_custom::custom_free_function

This function is called when pbuf_free deallocates this pbuf(_custom)

## pbuf

struct pbuf pbuf_custom::pbuf

The actual pbuf

The documentation for this struct was generated from the following file:

- src/include/lwip/pbuf.h